Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.handler
Class HandlerInfo

    java.lang.Object
      |
      +--context.arch.handler.HandlerInfo

public class HandlerInfo
extends java.lang.Object

This class acts as a container for handler info. It holds a reference to a widget handler, the subscription id, the id of the widget, the name of the callback on the subscriber side, and the name of the callback on the widget side.

See Also:
  `Handler`

Constructor Summary
`HandlerInfo()` Basic empty constructor
`HandlerInfo(Handler handler, java.lang.String subId, java.lang.String remoteId, java.lang.String remoteCallback, java.lang.String callback)` Full constructor that takes all input parameters

Method Summary
`java.lang.String` | `getCallback()` Returns the name of the subscription callback
`Handler` | `getHandler()` Returns the context widget handler
`java.lang.String` | `getRemoteCallback()` Returns the name of the widget callback
`java.lang.String` | `getRemoteId()` Returns the widget id
`java.lang.String` | `getSubId()` Returns the subscription id
`void` | `setCallback(java.lang.String callback)` Sets the name of the subscription callback
`void` | `setHandler(Handler handler)` Sets the context widget handler
`void` | `setRemoteCallback(java.lang.String remote)` Sets the name of the widget callback
`void` | `setRemoteId(java.lang.String id)` Sets the widget id
`void` | `setSubId(java.lang.String id)` Sets the subscription id

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandlerInfo

    public HandlerInfo()

  Basic empty constructor

### HandlerInfo

    public HandlerInfo(Handler handler,
                       java.lang.String subId,
                       java.lang.String remoteId,
                       java.lang.String remoteCallback,
                       java.lang.String callback)

  Full constructor that takes all input parameters
  Parameters:
    `handler` - Reference to a context widget handler
    `subId` - Subscription id of a subscriber. This is returned anytime a callback message is sent between the subscriber to the widget (in either direction).
    `remoteId` - Id of the widget object
    `callback` - Name of the callback on the subscriber side
    `remoteCallback` - Name of the callback on the widget side

Method Detail

### getSubId

    public java.lang.String getSubId()

  Returns the subscription id
  Returns:
    the subscription id

### setSubId

    public void setSubId(java.lang.String id)

  Sets the subscription id
  Parameters:
    `the` - subscription id

### getRemoteId

    public java.lang.String getRemoteId()

  Returns the widget id
  Returns:
    the widget id

### setRemoteId

    public void setRemoteId(java.lang.String id)

  Sets the widget id
  Parameters:
    `the` - widget id

### getCallback

    public java.lang.String getCallback()

  Returns the name of the subscription callback
  Returns:
    the name of the subscription callback

### setCallback

    public void setCallback(java.lang.String callback)

  Sets the name of the subscription callback
  Parameters:
    `the` - name of the subscription callback

### getRemoteCallback

    public java.lang.String getRemoteCallback()

  Returns the name of the widget callback
  Returns:
    the name of the widget callback

### setRemoteCallback

    public void setRemoteCallback(java.lang.String remote)

  Sets the name of the widget callback
  Parameters:
    `the` - name of the widget callback

### getHandler

    public Handler getHandler()

  Returns the context widget handler
  Returns:
    the context widget handler

### setHandler

    public void setHandler(Handler handler)

  Sets the context widget handler
  Parameters:
    `the` - context widget handler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD